Subject: [os2genau_digest] No. 595
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 19 Apr 2003 00:04:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 18 April 2003
 Number  595
**************************************************

Subjects for today
 
1  Re:  Troubles : Ian Manners" <deadmail>
2  Re:  Cross-migration was Novell migrates to Linux : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  Troubles : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re:  Cross-migration was Novell migrates to Linux : Paul Smedley" <paul at smedley.info>
5  Re:  Troubles : brianb at kdfisher dot com dot au
6  Re:  Cross-migration was Novell migrates to Linux : Simon Coulter" <shc at flybynight dot com dot au>
7  Re:  Troubles : <djn at peninsula.hotkey dot net dot au>

**= Email   1 ==========================**

Date:  Fri, 18 Apr 2003 00:04:41 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Troubles

Hi 

> I had also installed a SCSI disk on my machine, I did this in a
> desperate attempt to install eCS.

Secret, if you want to boot from SCSI, make sure the SCSI driver
is in FRONT of the IDE driver.

The card you use makes a big difference as well, what brand
and model are you using ?
 
> But I found that trying to boot to the SCSI drive with an IDE
> drive in
> the same machine is impossible.

Easy, just get your boot drive sorted first before you install
the other type of media, and ensure the driver that handles
the boot volume is loaded first in config.sys.

Which also probably explains your problems below.
 
> I think that I have found out where I've gone wrong. With all
> the troubles I was having I removed the IDE drives from my machine
> and did the install with only the SCSI drive.
> I later installed each IDE drives one at a time, ensuring that
> all the partitions were made compatibility volumes as well as
> installing a boot manager on the IDE drive.
 
> drivers. One did, it used a Realtek RTL8139 chip, the packaging
> OS/2 drivers, enen the text files on the driver disk listed
> I went to Realtek's web site and downloaded OS/2 drivers which

Caution here, a RTL8139 is not an RTL8139, my experience
shows me it depends a lot on the code loaded on the card as
well, I have a collection of five different RTL8139 drivers, all
for different brand RTL8139 cards, some work with one lot
but not the other lot, and not one works with all the different
ones I have here.

Also, put your NIC driver as your last driver loaded in your
config.sys file. Call it voodoo but it sometimes works for
no logical reason that I have ever been able to figure out.

Cheers
Ian B Manners
http://www.os2site dot com/

... Printout - A document to verify data you know is wrong anyway.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 18 Apr 2003 09:55:52 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Cross-migration was Novell migrates to Linux

However .... Hoblink X11 includes an X-Server component, surely the remote *nix box should be
the server ??

Ed.

Paul Smedley wrote:

> On Thu, 17 Apr 2003 20:43:10 +1000, Ed Durrant wrote:
>
> >Does having an X-11 environment (such as that available commercially for OS/2 in the
> >form of HobLink X11), automatically make it possible to run any X-11 app from another
> >platform, without re-compile / rewrite etc. ?
>
> Nope.  Tha main use of something like Hoblink is to allow the running of remote apps from a
> *nix server on a local PC.  For eg at Uni we used to run some process design software on a
> Windoze PC that was actually running on a DEC server and just being controlled remotely.
>
> Regards,
>
> Paul.
>

>  

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 18 Apr 2003 10:10:47 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Troubles

Handling a mixed SCSI / EIDE configuration has always been tricky under OS/2. In fact
a lot of what is possible depends upon the motherboard of your PC. If the motherboard
CMOS allows you to select SCSI as an option in the boot up sequence, then I'd set the
sequence as Floppy, CDROM, SCSI. If SCSI is not listed, you're pretty well stuck with
realising that if the motherboard finds an EIDE drive it will try to boot from that
first, If you remove (or disable in the bios) the EIDE drive, the M/B will possibly
search for "other" boot devices which include SCSI drives.

Then there's the SCSI controller - some have BIOS modifications that in principal
should get around the motherboard problem (if the motherboard bios is compatible with
the SCSI card code). Some (older) Adaptec cards would not boot from a SCSI drive
unless it had SCSI ID 0 or 1, some other makes (one started with F I think), needed
the SCSI ID to be the high one (eg 6 on an 8 bit card, 14 on a 16 bit card - 7 or 15
are used for the controller itself). Note: SCSI IDs start at zero.

On to the fast ethernet. I presume you mean 100Mb/s ? If so I'd recommend the IBM or
Intel cards - they work perfectly and are OS/2 supported. If you mean 1Gb/s there ARE
some OS/2 supported cards but they are expensive !

Realtek is supported by VPC/2 so it should work as well. However Realtek have the
image of being "cheap and cheerful", not the fastest or most reliable cards, but for
home use they're normally fine. I wouldn't use them in a commercial installation, I'd
prefer to pay the little extra and go with Intel.

Cheers/2

Ed.

djn at peninsula.hotkey dot net dot au wrote:

> Hi all,
> I had also installed a SCSI disk on my machine, I did this in a
> desperate attempt to install eCS.
>
> However after much gnashing of teeth and tearing out of hair, I have
> finaly given up on eCS. I have installed the IBM version.
>
> But I found that trying to boot to the SCSI drive with an IDE drive in
> the same machine is impossible.
>
> I think that I have found out where I've gone wrong. With all
> the troubles I was having I removed the IDE drives from my machine
> and did the install with only the SCSI drive.
>

> Anyway this is not my only problem. I need to get a fast
> Ethernet adapter card.
> None of the ones I've been offered at the local shops mention
> OS/2 drivers. One did, it used a Realtek RTL8139 chip, the packaging
> boasted OS/2 drivers, enen the text files on the driver disk listed
> them, but they were not there.
> I went to Realtek's web site and downloaded OS/2 drivers which
> I installed, but they caused a system crash every time they were
> loaded. I reinstalled the OS and the drivers three times before I gave up
> on them.
> So if anyone can recomend a Fast ethernet card I will be grateful.
>
> Now all I have to do is see if this gets sent successfully.
>
> Have a happy Easter
>
> Regards Dennis.

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Fri, 18 Apr 2003 10:28:45 +0950 (CST)
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  Cross-migration was Novell migrates to Linux

On Fri, 18 Apr 2003 09:55:52 +1000, Ed Durrant wrote:

>However .... Hoblink X11 includes an X-Server component, surely the remote *nix box 
should be
>the server ??

I'd imagine that this is so the reverse situation can be done - ie a Linux box run an app 
remotely that's running on the OS/2 X11 Server....

Regards,

Paul.

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 18 Apr 2003 12:07:18 +1030
From:  brianb at kdfisher dot com dot au
Subject:  Re:  Troubles

Dennis,
I agree with Ed's comments on your SCSI problems.
As far as NICs go I am using the following with OS/2
at 100MBs Full Duplex, and they all work well.

Acer ALN325
D-Link DFE530 TX
Alloy 1430TX

As well as various Intel chips built into motherboards.

Good luck!
-----------------------------------------
Brian Butler
System Administrator
brianb at kdfisher dot com dot au

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Fri, 18 Apr 03 12:51:14
From:  "Simon Coulter" <shc at flybynight dot com dot au>
Subject:  Re:  Cross-migration was Novell migrates to Linux

Hello Ed,

You wrote:
>However .... Hoblink X11 includes an X-Server component, surely the remote 
>*nix box should be the server ??

You would think so but X-Windows reversed the normal meaning of client and 
server. In an X11 environment the X-Server is running on the local (client) 
system. If I recall correctly the rationale for the terminology swap was 
because they consider the X-Server to be 'serving' the local display or some 
such nonsense.

Regards,
Simon Coulter.
--------------------------------------------------------------------
   FlyByNight Software         AS/400 Technical Specialists       
                                                                  
   http://www.flybynight dot com dot au/                                  
   Phone: +61 3 9419 0175   Mobile: +61 0411 091 400        /"\   
   Fax:   +61 3 9419 0175   mailto: shc at flybynight dot com dot au   \ /   
                                                             X    
                 ASCII Ribbon campaign against HTML E-Mail  / \   
--------------------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Fri, 18 Apr 2003 19:12:42 -1000
From:  <djn at peninsula.hotkey dot net dot au>
Subject:  Re:  Troubles

On Fri, 18 Apr 2003 12:07:18 +1030, brianb at kdfisher dot com dot au wrote:

>
>Dennis,
>I agree with Ed's comments on your SCSI problems.
>As far as NICs go I am using the following with OS/2
>at 100MBs Full Duplex, and they all work well.
>
>Acer ALN325
>D-Link DFE530 TX
>Alloy 1430TX
>
>As well as various Intel chips built into motherboards.
>
>Good luck!
>-----------------------------------------
>Brian Butler
>System Administrator
>brianb at kdfisher dot com dot au
>
>

> 

>
Thanks for the replys.

Re the Network card

I was offered the D_Link DFE-530-TX+ card by one of the local computer 
mobs, it's mainly Apple, but they do PC's as well.

Anyway there was nothing on the box, and he looked up their web site and
could find nothing mentioned about OS/2. However I've just been there 
and downloaded the drivers for the card and Low and Behold, under NDIS2 
there is a OS/2 directory with the necessary drivrs.

So tomorrow or Monday I'll go back and get one.

Interestingly, I noticed that it uses the Realtek 8139 chip.

I guess it's entirely how they intergrate it or whatever.

Oils aint Oils comes to mind.

Once again, thanks for the help.

Regards

Dennis.

----------------------------------------------------------------------------------